## groovy.lang
Class GroovyObjectSupport

A useful base class for Java objects wishing to be Groovy objects

author:
  James Strachan

version:
  $Revision: 11922 $

Field Summary
`MetaClass` | `metaClass`

Constructor Summary
`GroovyObjectSupport()`

Method Summary
`MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object args)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`

Constructor Detail

### GroovyObjectSupport

    public GroovyObjectSupport()

Method Detail

### getMetaClass

    public MetaClass getMetaClass()

### getProperty

    public Object getProperty(String property)

### invokeMethod

    public Object invokeMethod(String name, Object args)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(String property, Object newValue)